Bug 54082 - sound card doesn't autoconfigure
sound card doesn't autoconfigure
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-09-27 00:13 EDT by Isaiah Weiner
Modified: 2014-03-16 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-27 10:46:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Isaiah Weiner 2001-09-27 00:13:31 EDT
Description of problem:
This is for Cisco - we need a resolution for this, 7.1 will be supported 
here for a while to come, even when 7.2 is deployed in a month or so.  
Essentially, the sound card isn't being autodetected and configured during 
kudzu -q after installation, and it needs to be.  Let me know how I can 
facilitate this being resolved.

lspci -v:

00:1f.5 Multimedia audio controller: Intel Corporation: Unknown evice 2445 
        Subsystem: Dell Computer Corporation: Unknown device 00d8
        Flags: bus master, medium devsel, latency 0, IRQ 11
        I/O ports at c800 [size=256]
        I/O ports at cc40 [size=64]

lspci -vn:

00:1f.5 Class 0401: 8086:2445 (rev 04)
        Subsystem: 1028:00d8
        Flags: bus master, medium devsel, latency 0, IRQ 11
        I/O ports at c800 [size=256]
        I/O ports at cc40 [size=64]

    After booting, sndconfig handles it fine and puts the appropriate
information in /etc/modules.conf:

alias sound-slot-0 i810_audio
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L /dev/null 
2>&1 || :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S /dev/null 
2>&1 || :

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. On this machine, every mode of installation fails to auto-configure the 

Actual Results:  The sound device was not automagically configured.

Expected Results:  Like the rest of the sound cards used at Cisco that are 
supported, kudzu -q populates the right information in the right places 
and everything is happy for the user.

Additional info:

We are using kickstart as the primary method of installation; these are 
new Dell Precision machines, some are preproduction, some aren't; the PCI 
IDs are not different between the machines however.  Just a i810 onboard 
chip.  Here's the /etc/sysconfig/hwconf entry:

class: AUDIO
bus: PCI
detached: 0
driver: i810_audio
desc: "Intel Corporation|82820 820 (Camino 2) AC'97 Audio"
vendorId: 8086
deviceId: 2445
subVendorId: 1028
subDeviceId: 00d8
pciType: 1
Comment 1 Bill Nottingham 2001-09-27 10:46:01 EDT
It *should* be working in 7.1. What does 'kudzu -p -c audio' say?
Comment 2 Bill Nottingham 2001-10-22 16:39:54 EDT
OK, turns out boot & install kernels were different versions.

Note You need to log in before you can comment on or make changes to this bug.